import { ChangeDetectorRef, EventEmitter, NgZone, Renderer2 } from '@angular/core';
import { Color } from '@mintplayer/ng-bootstrap';
import * as i0 from "@angular/core";
export declare class BsTimepickerComponent {
    private ref;
    private zone;
    private renderer;
    constructor(ref: ChangeDetectorRef, zone: NgZone, renderer: Renderer2);
    colors: typeof Color;
    isOpen: boolean;
    presetTimestamps: Date[];
    isFocused: boolean;
    selectAll(box: HTMLInputElement): void;
    setNumber(event: Event, max: number, nextInput: HTMLInputElement | null): void;
    setTime(time: Date): void;
    private _selectedTime;
    selectedTimeChange: EventEmitter<Date>;
    get selectedTime(): Date;
    set selectedTime(value: Date);
    get hours(): number;
    set hours(value: number);
    get minutes(): number;
    set minutes(value: number);
    timesEqual(time1: Date, time2: Date): boolean;
    static ɵfac: i0.ɵɵFactoryDeclaration<BsTimepickerComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<BsTimepickerComponent, "bs-timepicker", never, { "selectedTime": "selectedTime"; }, { "selectedTimeChange": "selectedTimeChange"; }, never, never, false, never>;
}
